Page MenuHomePhabricator

Migrate Anti-Harassment EventLogging schemas to Event Platform
Closed, ResolvedPublic

Description

Hello! We plan to migrate 4 schemas owned by the Anti-Harrasment team the week of Nov 30 - Dec 4.

Information about this migration can be found at https://wikitech.wikimedia.org/wiki/Event_Platform/EventLogging_legacy.

There should be no change to the data collected.

Let us know if you have any questions or objections.

Details

ProjectBranchLines +/-Subject
operations/puppetproduction+2 -0
operations/mediawiki-configmaster+0 -2
operations/mediawiki-configmaster+1 -0
operations/mediawiki-configmaster+1 -1
operations/mediawiki-configmaster+1 -1
operations/puppetproduction+0 -2
mediawiki/extensions/WikimediaEventsmaster+5 -0
operations/puppetproduction+3 -1
operations/mediawiki-configmaster+1 -0
operations/mediawiki-configmaster+1 -4
operations/mediawiki-configmaster+0 -1
mediawiki/extensions/CheckUsermaster+1 -1
operations/puppetproduction+0 -2
operations/puppetproduction+6 -2
operations/mediawiki-configmaster+2 -2
operations/mediawiki-configmaster+18 -0
schemas/event/secondarymaster+1 K -0
Show related patches Customize query in gerrit

Event Timeline

To fight phab proliferation I'm merging the subtasks in.

Change 644244 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[schemas/event/secondary@master] Migrate Anti-Harassment EventLogging schemas

https://gerrit.wikimedia.org/r/644244

Change 644244 merged by Ottomata:
[schemas/event/secondary@master] Migrate Anti-Harassment EventLogging schemas

https://gerrit.wikimedia.org/r/644244

@Niharika, AFAICT, AutoblockIpBlock hasn't had any data for years, if ever.

Do we actually need to migrate this, or can we mark it as deprecated?

Change 644252 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[operations/mediawiki-config@master] Migrate 2 Anti-Harassment schemas to EventGate on testwiki

https://gerrit.wikimedia.org/r/644252

Change 644252 merged by Ottomata:
[operations/mediawiki-config@master] Migrate 2 Anti-Harassment schemas to EventGate on testwiki

https://gerrit.wikimedia.org/r/644252

Mentioned in SAL (#wikimedia-operations) [2020-11-30T15:15:05Z] <otto@deploy1001> Synchronized wmf-config/InitialiseSettings.php: Migrate 2 Anti-Harassment schemas to EventGate on testwiki - T268517 (duration: 01m 16s)

Change 644256 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[operations/mediawiki-config@master] Migrate 2 Anti-Harassment schemas to EventGate on all wikis

https://gerrit.wikimedia.org/r/644256

Change 644256 merged by Ottomata:
[operations/mediawiki-config@master] Migrate 2 Anti-Harassment schemas to EventGate on all wikis

https://gerrit.wikimedia.org/r/644256

Mentioned in SAL (#wikimedia-operations) [2020-11-30T15:28:41Z] <otto@deploy1001> Synchronized wmf-config/InitialiseSettings.php: Migrate 2 Anti-Harassment schemas to EventGate on all wikis - T268517 (duration: 00m 56s)

Mentioned in SAL (#wikimedia-analytics) [2020-11-30T15:29:43Z] <ottomata> migrated EventLogging schemas SpecialMuteSubmit and SpecialInvestigate to EventGate - T268517

Change 644259 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[operations/puppet@production] Refine 2 Anti-Harassment schemas using eventlogging_legacy job

https://gerrit.wikimedia.org/r/644259

Change 644259 merged by Ottomata:
[operations/puppet@production] Refine 2 Anti-Harassment schemas using eventlogging_legacy job

https://gerrit.wikimedia.org/r/644259

@Niharika I have migrated SpecialMuteSubmit and SpecialInvestigate to Event Platform.

One of the clean up steps is to update the default value of EventLoggingSchemas in the producer's extension.json. Assuming this data is produced by a MW extension, which one is it? :)

@Niharika I have migrated SpecialMuteSubmit and SpecialInvestigate to Event Platform.

One of the clean up steps is to update the default value of EventLoggingSchemas in the producer's extension.json. Assuming this data is produced by a MW extension, which one is it? :)

I am going to defer this question to @Tchanders who knows this space much better than I do.

@Niharika thanks.

I'm also trying to find out if we actually need to migrate AutoblockIpBlock and CookieBlock after all. Neither of these seem to have had any data for many years. Can we just deprecate them and not migrate?

Change 644536 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[mediawiki/extensions/CheckUser@master] EventLogging - Set SpecialInvestigate schema uri to Event Platform

https://gerrit.wikimedia.org/r/644536

I found SpecialInvestigate, it is in the CheckUser extension: https://gerrit.wikimedia.org/r/c/mediawiki/extensions/CheckUser/+/644536

I also found SpecialMuteSubmit, it is in WikimediaEvents...but it is a server side PHP EventLogging call, which we don't yet have live. This task is blocked on T253121: MEP Client MediaWiki PHP.

Change 644585 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[operations/puppet@production] Keep EventLogging SpecialMuteSubmit on old system for now

https://gerrit.wikimedia.org/r/644585

Change 644585 merged by Ottomata:
[operations/puppet@production] Keep EventLogging SpecialMuteSubmit on old system for now

https://gerrit.wikimedia.org/r/644585

Change 644536 merged by Ottomata:
[mediawiki/extensions/CheckUser@master] EventLogging - Set SpecialInvestigate schema uri to Event Platform

https://gerrit.wikimedia.org/r/644536

Change 647785 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[operations/mediawiki-config@master] wgEventLoggingSchemas - remove SpecialMuteSubmit

https://gerrit.wikimedia.org/r/647785

Change 647785 merged by Ottomata:
[operations/mediawiki-config@master] wgEventLoggingSchemas - remove SpecialMuteSubmit

https://gerrit.wikimedia.org/r/647785

Change 654425 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[operations/mediawiki-config@master] Remove overrides from wgEventLoggingSchemas

https://gerrit.wikimedia.org/r/654425

Change 654425 merged by Ottomata:
[operations/mediawiki-config@master] Remove overrides from wgEventLoggingSchemas

https://gerrit.wikimedia.org/r/654425

Change 655437 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[operations/mediawiki-config@master] Migrate SpecialMuteSubmit to EventGate

https://gerrit.wikimedia.org/r/655437

Change 655437 merged by Ottomata:
[operations/mediawiki-config@master] Migrate SpecialMuteSubmit to EventGate

https://gerrit.wikimedia.org/r/655437

Mentioned in SAL (#wikimedia-operations) [2021-01-11T15:36:22Z] <otto@deploy1001> Synchronized wmf-config/InitialiseSettings.php: Migrate SpecialMuteSubmit to EventGate - T268517 (duration: 00m 58s)

Change 655442 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[operations/puppet@production] Finalize migration of SpecialMuteSubmit to event platform

https://gerrit.wikimedia.org/r/655442

Change 655442 merged by Ottomata:
[operations/puppet@production] Finalize migration of SpecialMuteSubmit to event platform

https://gerrit.wikimedia.org/r/655442

Change 655448 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[mediawiki/extensions/WikimediaEvents@master] Finalize migration of SpecialMuteSubmit to Event Platform

https://gerrit.wikimedia.org/r/655448

Change 655448 merged by Ottomata:
[mediawiki/extensions/WikimediaEvents@master] Finalize migration of SpecialMuteSubmit to Event Platform

https://gerrit.wikimedia.org/r/655448

Mentioned in SAL (#wikimedia-operations) [2021-01-11T19:53:03Z] <otto@deploy1001> Synchronized wmf-config/InitialiseSettings.php: Migrate UniversalLanguageSelector to Event Platform - T268517 (duration: 00m 57s)

Change 655962 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[operations/puppet@production] Undo finalization of EL migration of SpecialMuteSubmit

https://gerrit.wikimedia.org/r/655962

Change 655964 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[operations/mediawiki-config@master] Undo finalization of EL migration of SpecialMuteSubmit

https://gerrit.wikimedia.org/r/655964

Change 655962 merged by Ottomata:
[operations/puppet@production] Undo finalization of EL migration of SpecialMuteSubmit

https://gerrit.wikimedia.org/r/655962

Change 655964 merged by Ottomata:
[operations/mediawiki-config@master] Undo finalization of EL migration of SpecialMuteSubmit

https://gerrit.wikimedia.org/r/655964

Mentioned in SAL (#wikimedia-operations) [2021-01-13T19:36:19Z] <otto@deploy1001> Synchronized wmf-config/InitialiseSettings.php: Undo - Migrate SpecialMuteSubmit to EventGate - T268517 (duration: 01m 06s)

Change 658314 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[operations/mediawiki-config@master] Migrate SpecialMuteSubmit to Event Platform on all wikis

https://gerrit.wikimedia.org/r/658314

Change 658314 merged by Ottomata:
[operations/mediawiki-config@master] Migrate SpecialMuteSubmit to Event Platform on all wikis

https://gerrit.wikimedia.org/r/658314

Change 662766 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[operations/mediawiki-config@master] Undo migration of SpecialMuteSubmit on all wikis except testwiki

https://gerrit.wikimedia.org/r/662766

Change 662766 merged by Ottomata:
[operations/mediawiki-config@master] Undo migration of SpecialMuteSubmit on all wikis except testwiki

https://gerrit.wikimedia.org/r/662766

Mentioned in SAL (#wikimedia-operations) [2021-02-08T20:17:23Z] <otto@deploy1001> Synchronized wmf-config/InitialiseSettings.php: Undo migration of SpecialMuteSubmit on all wikis except testwiki - T268517 (duration: 01m 06s)

Hi all, this PHP client migration blocker has been a pain, hopefully we are getting close to done.

I made a mistake when I rolled back the migration of SpecialMuteSubmit. I did not properly roll it back, and it has been 'migrated' but broken since the week of January 11. I just fully rolled it back. Since then we have not been collecting this data.

Fortunately the events were just invalid, so I was able to backfill them from the eventgate_analytics_external_error_validation table. There were only 230 invalid events since January 11, which is on par with the throughput I see before that.

21/02/09 01:13:58 INFO Refine: Finished refinement of dataset hdfs://analytics-hadoop/wmf/data/raw/eventlogging/eventlogging_SpecialMuteSubmit/hourly/2021/01/11/16 -> `event`.`SpecialMuteSubmit` (year=2021,month=1,day=11,hour=16). (# refined records: 3)
21/02/09 01:14:30 INFO Refine: Finished refinement of dataset hdfs://analytics-hadoop/wmf/data/raw/eventlogging/eventlogging_SpecialMuteSubmit/hourly/2021/01/16/04 -> `event`.`SpecialMuteSubmit` (year=2021,month=1,day=16,hour=4). (# refined records: 2)
21/02/09 01:14:44 INFO Refine: Finished refinement of dataset hdfs://analytics-hadoop/wmf/data/raw/eventlogging/eventlogging_SpecialMuteSubmit/hourly/2021/01/17/05 -> `event`.`SpecialMuteSubmit` (year=2021,month=1,day=17,hour=5). (# refined records: 8)
21/02/09 01:14:56 INFO Refine: Finished refinement of dataset hdfs://analytics-hadoop/wmf/data/raw/eventlogging/eventlogging_SpecialMuteSubmit/hourly/2021/01/19/15 -> `event`.`SpecialMuteSubmit` (year=2021,month=1,day=19,hour=15). (# refined records: 2)
21/02/09 01:15:18 INFO Refine: Finished refinement of dataset hdfs://analytics-hadoop/wmf/data/raw/eventlogging/eventlogging_SpecialMuteSubmit/hourly/2021/01/20/03 -> `event`.`SpecialMuteSubmit` (year=2021,month=1,day=20,hour=3). (# refined records: 2)
21/02/09 01:15:34 INFO Refine: Finished refinement of dataset hdfs://analytics-hadoop/wmf/data/raw/eventlogging/eventlogging_SpecialMuteSubmit/hourly/2021/01/22/10 -> `event`.`SpecialMuteSubmit` (year=2021,month=1,day=22,hour=10). (# refined records: 1)
21/02/09 01:15:47 INFO Refine: Finished refinement of dataset hdfs://analytics-hadoop/wmf/data/raw/eventlogging/eventlogging_SpecialMuteSubmit/hourly/2021/01/23/01 -> `event`.`SpecialMuteSubmit` (year=2021,month=1,day=23,hour=1). (# refined records: 1)
21/02/09 01:15:54 INFO Refine: Finished refinement of dataset hdfs://analytics-hadoop/wmf/data/raw/eventlogging/eventlogging_SpecialMuteSubmit/hourly/2021/01/23/04 -> `event`.`SpecialMuteSubmit` (year=2021,month=1,day=23,hour=4). (# refined records: 1)
21/02/09 01:16:03 INFO Refine: Finished refinement of dataset hdfs://analytics-hadoop/wmf/data/raw/eventlogging/eventlogging_SpecialMuteSubmit/hourly/2021/01/23/16 -> `event`.`SpecialMuteSubmit` (year=2021,month=1,day=23,hour=16). (# refined records: 1)
21/02/09 01:16:10 INFO Refine: Finished refinement of dataset hdfs://analytics-hadoop/wmf/data/raw/eventlogging/eventlogging_SpecialMuteSubmit/hourly/2021/01/24/14 -> `event`.`SpecialMuteSubmit` (year=2021,month=1,day=24,hour=14). (# refined records: 1)
21/02/09 01:16:17 INFO Refine: Finished refinement of dataset hdfs://analytics-hadoop/wmf/data/raw/eventlogging/eventlogging_SpecialMuteSubmit/hourly/2021/01/24/15 -> `event`.`SpecialMuteSubmit` (year=2021,month=1,day=24,hour=15). (# refined records: 1)
21/02/09 01:16:22 INFO Refine: Finished refinement of dataset hdfs://analytics-hadoop/wmf/data/raw/eventlogging/eventlogging_SpecialMuteSubmit/hourly/2021/01/24/18 -> `event`.`SpecialMuteSubmit` (year=2021,month=1,day=24,hour=18). (# refined records: 2)
21/02/09 01:16:30 INFO Refine: Finished refinement of dataset hdfs://analytics-hadoop/wmf/data/raw/eventlogging/eventlogging_SpecialMuteSubmit/hourly/2021/01/25/14 -> `event`.`SpecialMuteSubmit` (year=2021,month=1,day=25,hour=14). (# refined records: 3)
21/02/09 01:16:37 INFO Refine: Finished refinement of dataset hdfs://analytics-hadoop/wmf/data/raw/eventlogging/eventlogging_SpecialMuteSubmit/hourly/2021/01/26/16 -> `event`.`SpecialMuteSubmit` (year=2021,month=1,day=26,hour=16). (# refined records: 1)
21/02/09 01:16:44 INFO Refine: Finished refinement of dataset hdfs://analytics-hadoop/wmf/data/raw/eventlogging/eventlogging_SpecialMuteSubmit/hourly/2021/01/26/18 -> `event`.`SpecialMuteSubmit` (year=2021,month=1,day=26,hour=18). (# refined records: 1)
21/02/09 01:16:50 INFO Refine: Finished refinement of dataset hdfs://analytics-hadoop/wmf/data/raw/eventlogging/eventlogging_SpecialMuteSubmit/hourly/2021/01/26/19 -> `event`.`SpecialMuteSubmit` (year=2021,month=1,day=26,hour=19). (# refined records: 2)
21/02/09 01:16:56 INFO Refine: Finished refinement of dataset hdfs://analytics-hadoop/wmf/data/raw/eventlogging/eventlogging_SpecialMuteSubmit/hourly/2021/01/26/21 -> `event`.`SpecialMuteSubmit` (year=2021,month=1,day=26,hour=21). (# refined records: 1)
21/02/09 01:17:03 INFO Refine: Finished refinement of dataset hdfs://analytics-hadoop/wmf/data/raw/eventlogging/eventlogging_SpecialMuteSubmit/hourly/2021/01/27/02 -> `event`.`SpecialMuteSubmit` (year=2021,month=1,day=27,hour=2). (# refined records: 2)
21/02/09 01:17:08 INFO Refine: Finished refinement of dataset hdfs://analytics-hadoop/wmf/data/raw/eventlogging/eventlogging_SpecialMuteSubmit/hourly/2021/01/27/10 -> `event`.`SpecialMuteSubmit` (year=2021,month=1,day=27,hour=10). (# refined records: 2)
21/02/09 01:17:15 INFO Refine: Finished refinement of dataset hdfs://analytics-hadoop/wmf/data/raw/eventlogging/eventlogging_SpecialMuteSubmit/hourly/2021/01/27/11 -> `event`.`SpecialMuteSubmit` (year=2021,month=1,day=27,hour=11). (# refined records: 1)
21/02/09 01:17:20 INFO Refine: Finished refinement of dataset hdfs://analytics-hadoop/wmf/data/raw/eventlogging/eventlogging_SpecialMuteSubmit/hourly/2021/01/27/16 -> `event`.`SpecialMuteSubmit` (year=2021,month=1,day=27,hour=16). (# refined records: 4)
21/02/09 01:17:25 INFO Refine: Finished refinement of dataset hdfs://analytics-hadoop/wmf/data/raw/eventlogging/eventlogging_SpecialMuteSubmit/hourly/2021/01/27/20 -> `event`.`SpecialMuteSubmit` (year=2021,month=1,day=27,hour=20). (# refined records: 4)
21/02/09 01:17:29 INFO Refine: Finished refinement of dataset hdfs://analytics-hadoop/wmf/data/raw/eventlogging/eventlogging_SpecialMuteSubmit/hourly/2021/01/28/04 -> `event`.`SpecialMuteSubmit` (year=2021,month=1,day=28,hour=4). (# refined records: 1)
21/02/09 01:17:33 INFO Refine: Finished refinement of dataset hdfs://analytics-hadoop/wmf/data/raw/eventlogging/eventlogging_SpecialMuteSubmit/hourly/2021/01/28/06 -> `event`.`SpecialMuteSubmit` (year=2021,month=1,day=28,hour=6). (# refined records: 1)
21/02/09 01:17:36 INFO Refine: Finished refinement of dataset hdfs://analytics-hadoop/wmf/data/raw/eventlogging/eventlogging_SpecialMuteSubmit/hourly/2021/01/28/16 -> `event`.`SpecialMuteSubmit` (year=2021,month=1,day=28,hour=16). (# refined records: 2)
21/02/09 01:17:42 INFO Refine: Finished refinement of dataset hdfs://analytics-hadoop/wmf/data/raw/eventlogging/eventlogging_SpecialMuteSubmit/hourly/2021/01/28/17 -> `event`.`SpecialMuteSubmit` (year=2021,month=1,day=28,hour=17). (# refined records: 6)
21/02/09 01:17:48 INFO Refine: Finished refinement of dataset hdfs://analytics-hadoop/wmf/data/raw/eventlogging/eventlogging_SpecialMuteSubmit/hourly/2021/01/28/19 -> `event`.`SpecialMuteSubmit` (year=2021,month=1,day=28,hour=19). (# refined records: 2)
21/02/09 01:17:58 INFO Refine: Finished refinement of dataset hdfs://analytics-hadoop/wmf/data/raw/eventlogging/eventlogging_SpecialMuteSubmit/hourly/2021/01/28/20 -> `event`.`SpecialMuteSubmit` (year=2021,month=1,day=28,hour=20). (# refined records: 18)
21/02/09 01:18:07 INFO Refine: Finished refinement of dataset hdfs://analytics-hadoop/wmf/data/raw/eventlogging/eventlogging_SpecialMuteSubmit/hourly/2021/01/28/21 -> `event`.`SpecialMuteSubmit` (year=2021,month=1,day=28,hour=21). (# refined records: 2)
21/02/09 01:18:12 INFO Refine: Finished refinement of dataset hdfs://analytics-hadoop/wmf/data/raw/eventlogging/eventlogging_SpecialMuteSubmit/hourly/2021/01/29/02 -> `event`.`SpecialMuteSubmit` (year=2021,month=1,day=29,hour=2). (# refined records: 2)
21/02/09 01:18:15 INFO Refine: Finished refinement of dataset hdfs://analytics-hadoop/wmf/data/raw/eventlogging/eventlogging_SpecialMuteSubmit/hourly/2021/01/29/03 -> `event`.`SpecialMuteSubmit` (year=2021,month=1,day=29,hour=3). (# refined records: 5)
21/02/09 01:18:20 INFO Refine: Finished refinement of dataset hdfs://analytics-hadoop/wmf/data/raw/eventlogging/eventlogging_SpecialMuteSubmit/hourly/2021/01/29/04 -> `event`.`SpecialMuteSubmit` (year=2021,month=1,day=29,hour=4). (# refined records: 7)
21/02/09 01:18:25 INFO Refine: Finished refinement of dataset hdfs://analytics-hadoop/wmf/data/raw/eventlogging/eventlogging_SpecialMuteSubmit/hourly/2021/01/29/10 -> `event`.`SpecialMuteSubmit` (year=2021,month=1,day=29,hour=10). (# refined records: 4)
21/02/09 01:18:29 INFO Refine: Finished refinement of dataset hdfs://analytics-hadoop/wmf/data/raw/eventlogging/eventlogging_SpecialMuteSubmit/hourly/2021/01/29/11 -> `event`.`SpecialMuteSubmit` (year=2021,month=1,day=29,hour=11). (# refined records: 9)
21/02/09 01:18:37 INFO Refine: Finished refinement of dataset hdfs://analytics-hadoop/wmf/data/raw/eventlogging/eventlogging_SpecialMuteSubmit/hourly/2021/01/29/16 -> `event`.`SpecialMuteSubmit` (year=2021,month=1,day=29,hour=16). (# refined records: 4)
21/02/09 01:18:42 INFO Refine: Finished refinement of dataset hdfs://analytics-hadoop/wmf/data/raw/eventlogging/eventlogging_SpecialMuteSubmit/hourly/2021/01/29/17 -> `event`.`SpecialMuteSubmit` (year=2021,month=1,day=29,hour=17). (# refined records: 2)
21/02/09 01:18:46 INFO Refine: Finished refinement of dataset hdfs://analytics-hadoop/wmf/data/raw/eventlogging/eventlogging_SpecialMuteSubmit/hourly/2021/01/29/18 -> `event`.`SpecialMuteSubmit` (year=2021,month=1,day=29,hour=18). (# refined records: 7)
21/02/09 01:18:49 INFO Refine: Finished refinement of dataset hdfs://analytics-hadoop/wmf/data/raw/eventlogging/eventlogging_SpecialMuteSubmit/hourly/2021/01/29/19 -> `event`.`SpecialMuteSubmit` (year=2021,month=1,day=29,hour=19). (# refined records: 1)
21/02/09 01:18:57 INFO Refine: Finished refinement of dataset hdfs://analytics-hadoop/wmf/data/raw/eventlogging/eventlogging_SpecialMuteSubmit/hourly/2021/01/29/21 -> `event`.`SpecialMuteSubmit` (year=2021,month=1,day=29,hour=21). (# refined records: 3)
21/02/09 01:19:04 INFO Refine: Finished refinement of dataset hdfs://analytics-hadoop/wmf/data/raw/eventlogging/eventlogging_SpecialMuteSubmit/hourly/2021/01/29/22 -> `event`.`SpecialMuteSubmit` (year=2021,month=1,day=29,hour=22). (# refined records: 12)
21/02/09 01:19:12 INFO Refine: Finished refinement of dataset hdfs://analytics-hadoop/wmf/data/raw/eventlogging/eventlogging_SpecialMuteSubmit/hourly/2021/01/29/23 -> `event`.`SpecialMuteSubmit` (year=2021,month=1,day=29,hour=23). (# refined records: 9)
21/02/09 01:19:20 INFO Refine: Finished refinement of dataset hdfs://analytics-hadoop/wmf/data/raw/eventlogging/eventlogging_SpecialMuteSubmit/hourly/2021/01/30/05 -> `event`.`SpecialMuteSubmit` (year=2021,month=1,day=30,hour=5). (# refined records: 1)
21/02/09 01:19:25 INFO Refine: Finished refinement of dataset hdfs://analytics-hadoop/wmf/data/raw/eventlogging/eventlogging_SpecialMuteSubmit/hourly/2021/01/30/07 -> `event`.`SpecialMuteSubmit` (year=2021,month=1,day=30,hour=7). (# refined records: 1)
21/02/09 01:19:30 INFO Refine: Finished refinement of dataset hdfs://analytics-hadoop/wmf/data/raw/eventlogging/eventlogging_SpecialMuteSubmit/hourly/2021/01/30/13 -> `event`.`SpecialMuteSubmit` (year=2021,month=1,day=30,hour=13). (# refined records: 1)
21/02/09 01:19:34 INFO Refine: Finished refinement of dataset hdfs://analytics-hadoop/wmf/data/raw/eventlogging/eventlogging_SpecialMuteSubmit/hourly/2021/01/30/17 -> `event`.`SpecialMuteSubmit` (year=2021,month=1,day=30,hour=17). (# refined records: 1)
21/02/09 01:19:39 INFO Refine: Finished refinement of dataset hdfs://analytics-hadoop/wmf/data/raw/eventlogging/eventlogging_SpecialMuteSubmit/hourly/2021/01/30/18 -> `event`.`SpecialMuteSubmit` (year=2021,month=1,day=30,hour=18). (# refined records: 1)
21/02/09 01:19:42 INFO Refine: Finished refinement of dataset hdfs://analytics-hadoop/wmf/data/raw/eventlogging/eventlogging_SpecialMuteSubmit/hourly/2021/01/30/19 -> `event`.`SpecialMuteSubmit` (year=2021,month=1,day=30,hour=19). (# refined records: 2)
21/02/09 01:19:47 INFO Refine: Finished refinement of dataset hdfs://analytics-hadoop/wmf/data/raw/eventlogging/eventlogging_SpecialMuteSubmit/hourly/2021/01/31/00 -> `event`.`SpecialMuteSubmit` (year=2021,month=1,day=31,hour=0). (# refined records: 2)
21/02/09 01:19:50 INFO Refine: Finished refinement of dataset hdfs://analytics-hadoop/wmf/data/raw/eventlogging/eventlogging_SpecialMuteSubmit/hourly/2021/01/31/01 -> `event`.`SpecialMuteSubmit` (year=2021,month=1,day=31,hour=1). (# refined records: 4)
21/02/09 01:19:53 INFO Refine: Finished refinement of dataset hdfs://analytics-hadoop/wmf/data/raw/eventlogging/eventlogging_SpecialMuteSubmit/hourly/2021/01/31/02 -> `event`.`SpecialMuteSubmit` (year=2021,month=1,day=31,hour=2). (# refined records: 7)
21/02/09 01:19:58 INFO Refine: Finished refinement of dataset hdfs://analytics-hadoop/wmf/data/raw/eventlogging/eventlogging_SpecialMuteSubmit/hourly/2021/01/31/03 -> `event`.`SpecialMuteSubmit` (year=2021,month=1,day=31,hour=3). (# refined records: 9)
21/02/09 01:20:06 INFO Refine: Finished refinement of dataset hdfs://analytics-hadoop/wmf/data/raw/eventlogging/eventlogging_SpecialMuteSubmit/hourly/2021/01/31/04 -> `event`.`SpecialMuteSubmit` (year=2021,month=1,day=31,hour=4). (# refined records: 4)
21/02/09 01:20:10 INFO Refine: Finished refinement of dataset hdfs://analytics-hadoop/wmf/data/raw/eventlogging/eventlogging_SpecialMuteSubmit/hourly/2021/01/31/05 -> `event`.`SpecialMuteSubmit` (year=2021,month=1,day=31,hour=5). (# refined records: 7)
21/02/09 01:20:15 INFO Refine: Finished refinement of dataset hdfs://analytics-hadoop/wmf/data/raw/eventlogging/eventlogging_SpecialMuteSubmit/hourly/2021/01/31/06 -> `event`.`SpecialMuteSubmit` (year=2021,month=1,day=31,hour=6). (# refined records: 14)
21/02/09 01:20:18 INFO Refine: Finished refinement of dataset hdfs://analytics-hadoop/wmf/data/raw/eventlogging/eventlogging_SpecialMuteSubmit/hourly/2021/01/31/07 -> `event`.`SpecialMuteSubmit` (year=2021,month=1,day=31,hour=7). (# refined records: 1)
21/02/09 01:20:21 INFO Refine: Finished refinement of dataset hdfs://analytics-hadoop/wmf/data/raw/eventlogging/eventlogging_SpecialMuteSubmit/hourly/2021/01/31/08 -> `event`.`SpecialMuteSubmit` (year=2021,month=1,day=31,hour=8). (# refined records: 2)
21/02/09 01:20:26 INFO Refine: Finished refinement of dataset hdfs://analytics-hadoop/wmf/data/raw/eventlogging/eventlogging_SpecialMuteSubmit/hourly/2021/01/31/17 -> `event`.`SpecialMuteSubmit` (year=2021,month=1,day=31,hour=17). (# refined records: 1)
21/02/09 01:20:29 INFO Refine: Finished refinement of dataset hdfs://analytics-hadoop/wmf/data/raw/eventlogging/eventlogging_SpecialMuteSubmit/hourly/2021/01/31/18 -> `event`.`SpecialMuteSubmit` (year=2021,month=1,day=31,hour=18). (# refined records: 1)
21/02/09 01:20:33 INFO Refine: Finished refinement of dataset hdfs://analytics-hadoop/wmf/data/raw/eventlogging/eventlogging_SpecialMuteSubmit/hourly/2021/01/31/20 -> `event`.`SpecialMuteSubmit` (year=2021,month=1,day=31,hour=20). (# refined records: 1)
21/02/09 01:20:38 INFO Refine: Finished refinement of dataset hdfs://analytics-hadoop/wmf/data/raw/eventlogging/eventlogging_SpecialMuteSubmit/hourly/2021/01/31/23 -> `event`.`SpecialMuteSubmit` (year=2021,month=1,day=31,hour=23). (# refined records: 3)
21/02/09 01:20:42 INFO Refine: Finished refinement of dataset hdfs://analytics-hadoop/wmf/data/raw/eventlogging/eventlogging_SpecialMuteSubmit/hourly/2021/02/08/22 -> `event`.`SpecialMuteSubmit` (year=2021,month=2,day=8,hour=22). (# refined records: 0)

1/02/09 02:43:11 INFO Refine: Finished refinement of dataset hdfs://analytics-hadoop/wmf/data/raw/eventlogging/eventlogging_SpecialMuteSubmit/hourly/2021/01/11/16 -> `event`.`SpecialMuteSubmit` (year=2021,month=1,day=11,hour=16). (# refined records: 3)
21/02/09 02:43:26 INFO Refine: Finished refinement of dataset hdfs://analytics-hadoop/wmf/data/raw/eventlogging/eventlogging_SpecialMuteSubmit/hourly/2021/01/11/21 -> `event`.`SpecialMuteSubmit` (year=2021,month=1,day=11,hour=21). (# refined records: 1)
21/02/09 02:43:38 INFO Refine: Finished refinement of dataset hdfs://analytics-hadoop/wmf/data/raw/eventlogging/eventlogging_SpecialMuteSubmit/hourly/2021/01/12/02 -> `event`.`SpecialMuteSubmit` (year=2021,month=1,day=12,hour=2). (# refined records: 1)
21/02/09 02:43:46 INFO Refine: Finished refinement of dataset hdfs://analytics-hadoop/wmf/data/raw/eventlogging/eventlogging_SpecialMuteSubmit/hourly/2021/01/13/02 -> `event`.`SpecialMuteSubmit` (year=2021,month=1,day=13,hour=2). (# refined records: 1)
21/02/09 02:43:57 INFO Refine: Finished refinement of dataset hdfs://analytics-hadoop/wmf/data/raw/eventlogging/eventlogging_SpecialMuteSubmit/hourly/2021/01/13/10 -> `event`.`SpecialMuteSubmit` (year=2021,month=1,day=13,hour=10). (# refined records: 1)
21/02/09 02:44:06 INFO Refine: Finished refinement of dataset hdfs://analytics-hadoop/wmf/data/raw/eventlogging/eventlogging_SpecialMuteSubmit/hourly/2021/01/13/14 -> `event`.`SpecialMuteSubmit` (year=2021,month=1,day=13,hour=14). (# refined records: 1)
21/02/09 02:44:14 INFO Refine: Finished refinement of dataset hdfs://analytics-hadoop/wmf/data/raw/eventlogging/eventlogging_SpecialMuteSubmit/hourly/2021/01/14/01 -> `event`.`SpecialMuteSubmit` (year=2021,month=1,day=14,hour=1). (# refined records: 1)
21/02/09 02:44:22 INFO Refine: Finished refinement of dataset hdfs://analytics-hadoop/wmf/data/raw/eventlogging/eventlogging_SpecialMuteSubmit/hourly/2021/01/14/07 -> `event`.`SpecialMuteSubmit` (year=2021,month=1,day=14,hour=7). (# refined records: 2)
21/02/09 02:44:30 INFO Refine: Finished refinement of dataset hdfs://analytics-hadoop/wmf/data/raw/eventlogging/eventlogging_SpecialMuteSubmit/hourly/2021/01/14/15 -> `event`.`SpecialMuteSubmit` (year=2021,month=1,day=14,hour=15). (# refined records: 1)
21/02/09 02:44:40 INFO Refine: Finished refinement of dataset hdfs://analytics-hadoop/wmf/data/raw/eventlogging/eventlogging_SpecialMuteSubmit/hourly/2021/01/14/16 -> `event`.`SpecialMuteSubmit` (year=2021,month=1,day=14,hour=16). (# refined records: 1)
21/02/09 02:44:46 INFO Refine: Finished refinement of dataset hdfs://analytics-hadoop/wmf/data/raw/eventlogging/eventlogging_SpecialMuteSubmit/hourly/2021/01/15/12 -> `event`.`SpecialMuteSubmit` (year=2021,month=1,day=15,hour=12). (# refined records: 1)
21/02/09 02:44:55 INFO Refine: Finished refinement of dataset hdfs://analytics-hadoop/wmf/data/raw/eventlogging/eventlogging_SpecialMuteSubmit/hourly/2021/01/15/18 -> `event`.`SpecialMuteSubmit` (year=2021,month=1,day=15,hour=18). (# refined records: 1)
21/02/09 02:45:09 INFO Refine: Finished refinement of dataset hdfs://analytics-hadoop/wmf/data/raw/eventlogging/eventlogging_SpecialMuteSubmit/hourly/2021/01/16/04 -> `event`.`SpecialMuteSubmit` (year=2021,month=1,day=16,hour=4). (# refined records: 2)
21/02/09 02:45:19 INFO Refine: Finished refinement of dataset hdfs://analytics-hadoop/wmf/data/raw/eventlogging/eventlogging_SpecialMuteSubmit/hourly/2021/01/16/07 -> `event`.`SpecialMuteSubmit` (year=2021,month=1,day=16,hour=7). (# refined records: 1)
21/02/09 02:45:28 INFO Refine: Finished refinement of dataset hdfs://analytics-hadoop/wmf/data/raw/eventlogging/eventlogging_SpecialMuteSubmit/hourly/2021/01/16/11 -> `event`.`SpecialMuteSubmit` (year=2021,month=1,day=16,hour=11). (# refined records: 1)
21/02/09 02:45:38 INFO Refine: Finished refinement of dataset hdfs://analytics-hadoop/wmf/data/raw/eventlogging/eventlogging_SpecialMuteSubmit/hourly/2021/01/16/17 -> `event`.`SpecialMuteSubmit` (year=2021,month=1,day=16,hour=17). (# refined records: 1)
21/02/09 02:45:46 INFO Refine: Finished refinement of dataset hdfs://analytics-hadoop/wmf/data/raw/eventlogging/eventlogging_SpecialMuteSubmit/hourly/2021/01/16/18 -> `event`.`SpecialMuteSubmit` (year=2021,month=1,day=16,hour=18). (# refined records: 1)
21/02/09 02:45:52 INFO Refine: Finished refinement of dataset hdfs://analytics-hadoop/wmf/data/raw/eventlogging/eventlogging_SpecialMuteSubmit/hourly/2021/01/16/20 -> `event`.`SpecialMuteSubmit` (year=2021,month=1,day=16,hour=20). (# refined records: 1)
21/02/09 02:45:59 INFO Refine: Finished refinement of dataset hdfs://analytics-hadoop/wmf/data/raw/eventlogging/eventlogging_SpecialMuteSubmit/hourly/2021/01/17/02 -> `event`.`SpecialMuteSubmit` (year=2021,month=1,day=17,hour=2). (# refined records: 1)
21/02/09 02:46:09 INFO Refine: Finished refinement of dataset hdfs://analytics-hadoop/wmf/data/raw/eventlogging/eventlogging_SpecialMuteSubmit/hourly/2021/01/17/05 -> `event`.`SpecialMuteSubmit` (year=2021,month=1,day=17,hour=5). (# refined records: 8)
21/02/09 02:46:17 INFO Refine: Finished refinement of dataset hdfs://analytics-hadoop/wmf/data/raw/eventlogging/eventlogging_SpecialMuteSubmit/hourly/2021/01/18/17 -> `event`.`SpecialMuteSubmit` (year=2021,month=1,day=18,hour=17). (# refined records: 1)
21/02/09 02:46:25 INFO Refine: Finished refinement of dataset hdfs://analytics-hadoop/wmf/data/raw/eventlogging/eventlogging_SpecialMuteSubmit/hourly/2021/01/18/19 -> `event`.`SpecialMuteSubmit` (year=2021,month=1,day=18,hour=19). (# refined records: 1)
21/02/09 02:46:33 INFO Refine: Finished refinement of dataset hdfs://analytics-hadoop/wmf/data/raw/eventlogging/eventlogging_SpecialMuteSubmit/hourly/2021/01/18/23 -> `event`.`SpecialMuteSubmit` (year=2021,month=1,day=18,hour=23). (# refined records: 1)
21/02/09 02:46:38 INFO Refine: Finished refinement of dataset hdfs://analytics-hadoop/wmf/data/raw/eventlogging/eventlogging_SpecialMuteSubmit/hourly/2021/01/19/05 -> `event`.`SpecialMuteSubmit` (year=2021,month=1,day=19,hour=5). (# refined records: 1)
21/02/09 02:46:42 INFO Refine: Finished refinement of dataset hdfs://analytics-hadoop/wmf/data/raw/eventlogging/eventlogging_SpecialMuteSubmit/hourly/2021/01/19/15 -> `event`.`SpecialMuteSubmit` (year=2021,month=1,day=19,hour=15). (# refined records: 2)
21/02/09 02:46:50 INFO Refine: Finished refinement of dataset hdfs://analytics-hadoop/wmf/data/raw/eventlogging/eventlogging_SpecialMuteSubmit/hourly/2021/01/20/03 -> `event`.`SpecialMuteSubmit` (year=2021,month=1,day=20,hour=3). (# refined records: 2)
21/02/09 02:46:55 INFO Refine: Finished refinement of dataset hdfs://analytics-hadoop/wmf/data/raw/eventlogging/eventlogging_SpecialMuteSubmit/hourly/2021/01/20/18 -> `event`.`SpecialMuteSubmit` (year=2021,month=1,day=20,hour=18). (# refined records: 1)
21/02/09 02:47:05 INFO Refine: Finished refinement of dataset hdfs://analytics-hadoop/wm

Change 666366 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[operations/mediawiki-config@master] Migrate SpecialMuteSubmit to EventGate on all wikis

https://gerrit.wikimedia.org/r/666366

Change 666366 merged by Ottomata:
[operations/mediawiki-config@master] Migrate SpecialMuteSubmit to EventGate on all wikis

https://gerrit.wikimedia.org/r/666366

Mentioned in SAL (#wikimedia-operations) [2021-02-23T14:40:54Z] <otto@deploy1001> sync-file aborted: Migrate SpecialMuteSubmit to EventGate on all wikis - T268517 (duration: 00m 05s)

Mentioned in SAL (#wikimedia-operations) [2021-02-23T14:41:58Z] <otto@deploy1001> Synchronized wmf-config/InitialiseSettings.php: Migrate SpecialMuteSubmit to EventGate on all wikis - T268517 (duration: 00m 58s)

Change 666428 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[operations/puppet@production] Finalize migration of SpecialMuteSubmit ingestion

https://gerrit.wikimedia.org/r/666428

Change 666428 merged by Ottomata:
[operations/puppet@production] Finalize migration of SpecialMuteSubmit ingestion

https://gerrit.wikimedia.org/r/666428